#!/bin/bash

set -e

if [ "$#" -ne 1 ]; then
	echo "Usage: $0 <Number of exercise>"
	exit;
fi

exnum="$1"

dir="$(dirname -- "${BASH_SOURCE[0]}")"
cd "$dir"

ant clean
ant "-Ddislclass=ex$exnum.Instrumentation"

printf "\e[32mRunning without instrumentation...\e[0m\n"
time ./run.sh "ex$exnum.Main"
./startDiSLServer.sh
sleep 1
printf "\e[32mRunning WITH instrumentation...\e[0m\n"
time ./runInstrumented.sh "ex$exnum.Main"


